/*                     E N V . H
 * BRL-CAD
 *
 * Copyright (c) 2002-2006 United States Government as represented by
 * the U.S. Army Research Laboratory.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this file; see the file named COPYING for more
 * information.
 */
/** @file env.h
 *                     E N V . H
 *
 *  Common Library - Environment Settings Header
 *
 *  Author -
 *      Justin L. Shumaker
 *
 *  Source -
 *      The U. S. Army Research Laboratory
 *      Aberdeen Proving Ground, Maryland  21005-5068  USA
 *
 * $Id: env.h,v 1.5 2006/01/18 06:46:11 brlcad Exp $
 */

#ifndef _COMMON_ENV_H
#define _COMMON_ENV_H

#include "adrt_common.h"

extern	void	common_env_init(common_env_t *env);
extern	void	common_env_free(common_env_t *env);
extern	void	common_env_prep(common_env_t *env);
extern	void	common_env_read(common_env_t *env, char *fpath);

#endif
