/*                     T E X T U R E _ I M A G E . H
 *
 * @file texture_image.h
 *
 * BRL-CAD
 *
 * Copyright (c) 2002-2006 United States Government as represented by
 * the U.S. Army Research Laboratory.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this file; see the file named COPYING for more
 * information.
 *
 *  Comments -
 *      Texture Library - Image Header
 *
 *  Author -
 *      Justin L. Shumaker
 *
 *  Source -
 *      The U. S. Army Research Laboratory
 *      Aberdeen Proving Ground, Maryland  21005-5068  USA
 *
 * $Id: texture_image.h,v 1.3 2006/01/18 06:46:11 brlcad Exp $
 */

#ifndef _TEXTURE_IMAGE_H
#define _TEXTURE_IMAGE_H


#include "texture.h"


typedef struct texture_image_s {
  short	w;
  short	h;
  unsigned char *image;
} texture_image_t;


extern	void	texture_image_init(texture_t *texture, short w, short h, unsigned char *image);
extern	void	texture_image_free(texture_t *texture);
extern	void	texture_image_work(texture_t *texture, common_mesh_t *mesh, tie_ray_t *ray, tie_id_t *id, TIE_3 *pixel);


#endif
